## visad.data.netcdf
Class QuantityDB.NilIterator

    java.lang.Object
      visad.data.netcdf.QuantityDB.NilIterator

All Implemented Interfaces:
  Iterator

Enclosing class:
  QuantityDB

static class QuantityDB.NilIterator
extends Object
implements Iterator

A nil `Iterator`. Such an `Iterator` iterates over nothing.

Field Summary
`(package private) static QuantityDB.NilIterator` `INSTANCE`

Method Summary
`boolean` `hasNext()` Indicates if another element exists.
`Object` `next()` Returns the next element.
`void` `remove()` Removes the current element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    static final QuantityDB.NilIterator INSTANCE

Method Detail

### hasNext

    public boolean hasNext()

  Indicates if another element exists. This implementation always returns `false`.

  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    `false`.

### next

    public Object next()

  Returns the next element. This implementation always throws a `NoSuchElementException`.

  Specified by:
    `next` in interface `Iterator`
  Throws:
    `NoSuchElementException` - if this method is invoked.

### remove

    public void remove()

  Removes the current element. This implementation always throws an `UnsupportedOperationException`.

  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException` - if this method is invoked.